#! /bin/sh /usr/share/dpatch/dpatch-run
## 10_bts558996_FTBFS_hppa_invalid_initializer.dpatch by Jakub Wilk <jwilk@debian.org>
##
## All lines beginning with `## DP:' are a description of the patch.
## DP: Fix a FTBFS on HTTP due to an "invalid initializer"

@DPATCH@
diff -urNad '--exclude=CVS' '--exclude=.svn' '--exclude=.git' '--exclude=.arch' '--exclude=.hg' '--exclude=_darcs' '--exclude=.bzr' synopsis~/src/Synopsis/gc/pthread_support.c synopsis/src/Synopsis/gc/pthread_support.c
--- synopsis~/src/Synopsis/gc/pthread_support.c	2008-11-07 00:59:12.000000000 +0100
+++ synopsis/src/Synopsis/gc/pthread_support.c	2010-04-29 09:53:29.000000000 +0200
@@ -1297,7 +1297,7 @@
 /* as STL alloc.h.  This isn't really the right way to do this.   */
 /* but until the POSIX scheduling mess gets straightened out ...  */
 
-volatile AO_TS_t GC_allocate_lock = 0;
+volatile AO_TS_t GC_allocate_lock = AO_TS_INITIALIZER;
 
 
 void GC_lock(void)
